<?php

// Укажите ваш почтовый ящик
$email="5364644";

error_reporting(0);
if (getenv('HTTP_X_FORWARDED_FOR'))
{ 
$ip=getenv('HTTP_X_FORWARDED_FOR');
} 
else { 
$ip=getenv('REMOTE_ADDR');
}
$bandat="banzz/banzz.dat";
error_reporting(0);
// Не удаляйте и не меняйте эти переменные!!!
$ok=3;$ok2=2;
if (!file_exists("$bandat")):
{echo "<center><table width=\"596\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"#DCDCDC\"><tr><td align=center bgcolor=\"f5f5f5\" colspan=\"2\" width=\"588\" valign=\"top\"><center>Файла базы данных не существует! Войдите в систему чтобы создать файл!<br></center></td></tr></table></center>";exit;} 
endif;
$bans = file("$bandat");
for ($k = 0; $k < count($bans); $k++) {
$bans[$k] = ereg_replace("\r\n","",$bans[$k]);
list($banip,$banmess,$timezdatez) = split ("\|",$bans[$k]);
if ($banmess == ""){$banmess="... не указана.";}
// Настройка: для показа даты переменные $ok1 и $ok2 должны иметь одинаковые значения...
// Например: $ok=333;$ok2=333; - Дата показывается! $ok=2;$ok2=11133; - Дата не показывается.
// Так - же настоятельно рекомендую, не оставлять числа данные по, "умолчанию".
// Тоесть, $ok=1;$ok2=1;... Измените их на свои числа, для большей надёжности!
// Пример: $ok=44434231344142455234903;$ok2=44434231344142455234903; :)
// Если Вы хотите показывать дату блокирования данного :) человека, разморозьте строку идущую ниже,
// удалив впереди неё, два слэша, (//)
$ok=143625721437257685438638;$ok2=143625721437257685438638;
if (ereg("^$banip$",$ip)) {
if ($ok != $ok2){
$text="<b>Вам запретили доступ!<br>Причина: $banmess <br> Время: $datetime <br>IP: $ip <br>Browser: $brow<br><br>Если Вы считаете что это ошибка, напишите админу на:<center> <a href=\"mailto:$email\">$email</a></b><br></center>";}else{
$text="<b>Вам запретили доступ!<br>Причина: $banmess <br> $timezdatez<br><br>Дата: $datetime <br>IP: $ip <br>Browser: $brow<br><br>Если Вы считаете что это ошибка, напишите админу на:<center> <a href=\"mailto:$email\">$email</a></b><br></center>";}


echo'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><small><title>Забытая Война</title><link rel="stylesheet" href="img/style.css" type="text/css" />
</small></head>';


//$ip=htmlspecialchars(stripslashes($ip));

$datetime = date("Y-m-d H:i:s");
if(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){ $ip = $_SERVER['HTTP_X_FORWARDED_FOR']; }else{$ip=$_SERVER['REMOTE_ADDR'];}



if(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])){$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];}elseif(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE'])){
$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE'];}else{
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));}



echo "<center><table width=\"596\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"#DCDCDC\"> <tr><td align=left bgcolor=\"f5f5f5\" colspan=\"2\" width=\"586\"></center></td></tr><tr><td bgcolor=\"white\" colspan=\"2\" width=\"586\"><font face=\"Verdana\" size=\"1\">$text<tr><td align=left bgcolor=\"f5f5f5\" colspan=\"2\"><p align=\"right\"><font color=\"black\" face=\"Verdana\" size=\"1\">&nbsp;</font></p></td></tr>";exit;}}
?>